function initiatePopup(content, id) {
	var now = new Date();
	var destination = '';
	$(document).ready(function() {
		switch (content) {
			/*
			*  Photo Gallery Options
			* 
			*/
			case 'album-change-name':
				destination = 'includes/ajax/popup-content/gallery/album-change-name.php';
			break;
			case 'album-category-change-name':
				destination = 'includes/ajax/popup-content/gallery/album-category-change-name.php';
			break;				
			case 'album-change-status':
				destination = 'includes/ajax/popup-content/gallery/album-change-status.php';
			break;
			case 'album-category-change-status':
				destination = 'includes/ajax/popup-content/gallery/album-category-change-status.php';
			break;				
			case 'album-delete':
				destination = 'includes/ajax/popup-content/gallery/album-delete.php';
			break;
			case 'album-category-delete':
				destination = 'includes/ajax/popup-content/gallery/album-category-delete.php';
			break;				
			case 'add-album':
				if(document.getElementById('CategoryId')){
					id = document.getElementById('CategoryId').value;
				}
				destination = 'includes/ajax/popup-content/gallery/add-album.php';
			break;
			case 'add-album-category':
				destination = 'includes/ajax/popup-content/gallery/add-album-category.php';
			break;				
			case 'image-change-status':
				destination = 'includes/ajax/popup-content/gallery/image-change-status.php';
			break;
			case 'image-change-album':
				destination = 'includes/ajax/popup-content/gallery/image-change-album.php';
			break;
			case 'album-change-category':
				destination = 'includes/ajax/popup-content/gallery/album-change-category.php';
			break;				
			case 'image-delete':
				destination = 'includes/ajax/popup-content/gallery/image-delete.php';
			break;
			case 'image-edit-description':
				destination = 'includes/ajax/popup-content/gallery/image-change-description.php';
			break;
			case 'image-view':
				destination = 'includes/ajax/popup-content/gallery/image-view.php';
			break;			
			/*
			*  End Photo Gallery Options
			* 
			*/			
			default:
				destination = 'includes/ajax/popup-content/file.php';
			break;			
		}
		$('#PopUp').load(destination, { Now: now, Id: id }, function() {
			$('#PopUp').popUpWindow({ action: 'open' });
		});
	});
}
